aboutsummaryrefslogtreecommitdiffstats
path: root/main/alpine-baselayout/alpine-baselayout.post-install
diff options
context:
space:
mode:
Diffstat (limited to 'main/alpine-baselayout/alpine-baselayout.post-install')
-rw-r--r--main/alpine-baselayout/alpine-baselayout.post-install39
1 files changed, 39 insertions, 0 deletions
diff --git a/main/alpine-baselayout/alpine-baselayout.post-install b/main/alpine-baselayout/alpine-baselayout.post-install
new file mode 100644
index 0000000000..79050e5ca7
--- /dev/null
+++ b/main/alpine-baselayout/alpine-baselayout.post-install
@@ -0,0 +1,39 @@
+#!/bin/sh
+
+create_vserver_startstop() {
+ cat <<__EOF__
+#!/bin/sh
+
+# This file is for compatibility
+case \${0##*/} in
+rcL)
+ RUNLEVEL=1 /sbin/rc sysinit || exit 1
+ /sbin/rc boot || exit 1
+ /sbin/rc \${1:-default}
+ exit 0
+ ;;
+rcK)
+ /sbin/rc shutdown
+ ;;
+esac
+
+__EOF__
+}
+
+# create compat start/stop scripts for vserver guests
+if [ "$( /sbin/rc --sys )" = "VSERVER" ]; then
+ # create rcL and rcK
+ if ! [ -e /etc/init.d/rcL ]; then
+ create_vserver_startstop > /etc/init.d/rcL
+ chmod +x /etc/init.d/rcL
+ fi
+ if ! [ -e /etc/init.d/rcK ]; then
+ ln -s rcL /etc/init.d/rcK
+ fi
+fi
+
+# force /etc/shadow to be owned by root and not be world readable
+chown root:root /etc/shadow
+chmod o-rwx /etc/shadow
+
+exit 0